<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:1.0" name="subsystem.elytron.filesystem-realm">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="encoded,hash-charset,hash-encoding,levels,path,relative-to"/>
        <elem name="addr-params" value="profile,host,subsystem,filesystem-realm"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.elytron"/>
    </annotation>
    <provides>
        <capability name="$profile.org.wildfly.security.security-realm.$filesystem-realm"/>
        <capability name="$profile.org.wildfly.security.modifiable-security-realm.$filesystem-realm"/>
    </provides>
    <refs>
        <ref feature="subsystem.elytron"/>
        <ref feature="profile" nillable="true"/>
        <ref feature="host" nillable="true"/>
    </refs>
    <params>
        <param name="hash-encoding" nillable="true"/>
        <param name="path"/>
        <param name="relative-to" nillable="true"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="host" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="subsystem" feature-id="true" default="elytron"/>
        <param name="hash-charset" nillable="true"/>
        <param name="filesystem-realm" feature-id="true"/>
        <param name="levels" nillable="true"/>
        <param name="encoded" nillable="true"/>
    </params>
</feature-spec>